#

API Docs for: v2.11.1
Show: Inherited Protected Private Deprecated

# String Class

Module: ember-runtime
Parent Module: ember

- Index
- Methods

## Item Index

### Methods

- camelize
- capitalize
- classify
- dasherize
- decamelize
- fmt deprecated
- loc
- underscore
- w

## Methods

### `camelize`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:56`

See Ember.String.camelize.

### `capitalize`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:111`

See Ember.String.capitalize.

### `classify`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:100`

See Ember.String.classify.

### `dasherize`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:78`

See Ember.String.dasherize.

### `decamelize`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:67`

See Ember.String.decamelize.

### `fmt`

() deprecated private

Defined in `packages/ember-runtime/lib/ext/string.js:22`

See Ember.String.fmt.

### `loc`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:45`

See Ember.String.loc.

### `underscore`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:89`

See Ember.String.underscore.

### `w`

() private

Defined in `packages/ember-runtime/lib/ext/string.js:34`

See Ember.String.w.